SuperLU: Data Fields

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - s -

- sallocateA() : slu_sdefs.h , smemory.c
- SamePattern : superlu_enum_consts.h
- SamePattern_SameRowPerm : superlu_enum_consts.h
- sasum_() : ilu_sdrop_row.c
- saxpy_() : ilu_sdrop_row.c
- scasum_() : ilu_cdrop_row.c
- scheck_tempv() : spanel_bmod.c , sutil.c
- scnrm2_() : ilu_cdrop_row.c , cfgmr.c
- scolumn_bmod() : scolumn_bmod.c , slu_sdefs.h
- scolumn_dfs() : scolumn_dfs.c , slu_sdefs.h
- sCompRow_to_CompCol() : slu_sdefs.h , sutil.c
- scopy_() : ilu_scopy_to_ucol.c , ilu_sdrop_row.c
- sCopy_CompCol_Matrix() : slu_sdefs.h , sutil.c
- sCopy_Dense_Matrix() : slu_sdefs.h , sutil.c
- scopy_to_ucol() : scopy_to_ucol.c , slu_sdefs.h
- sCreate_CompCol_Matrix() : slu_sdefs.h , sutil.c
- sCreate_CompRow_Matrix() : slu_sdefs.h , sutil.c
- sCreate_Dense_Matrix() : slu_sdefs.h , sutil.c
- sCreate_SuperNode_Matrix() : slu_sdefs.h , sutil.c
- scsum1_() : scsum1.c
- sdominate() : sdiagonal.c
- sdot_() : sfgmr.c
- sDumpLine() : sreadhb.c , sreadrb.c
- set_default_options() : slu_util.h , util.c
- SetIWork() : memory.c , slu_util.h
- sexpand() : smemory.c
- sfgmr() : sfgmr.c
- sfill() : slu_sdefs.h , sutil.c
- sfill_diag() : sdiagonal.c
- sFillRHS() : slu_sdefs.h , sutil.c
- sGenXtrue() : slu_sdefs.h , sutil.c
- SGN : ilu_cpivotL.c , ilu_dpivotL.c , ilu_spivotL.c , ilu_zpivotL.c
- sgscon() : sgscon.c , slu_sdefs.h
- sgsequ() : sgsequ.c , slu_sdefs.h
- sgsisv() : slu_sdefs.h
- sgsisx() : sgsisx.c , slu_sdefs.h
- sgsitrf() : slu_sdefs.h , sgsitrf.c
- sgsrfs() : sgsrfs.c , slu_sdefs.h
- sgssv() : sgssv.c , slu_sdefs.h
- sgssvx() : sgssvx.c , slu_sdefs.h
- sgstrf() : sgstrf.c , slu_sdefs.h
- sgstrs() : sgstrs.c , slu_sdefs.h
- shortint : mmd.c
- SILU : superlu_enum_consts.h
- sinf_norm_error() : slu_sdefs.h , sutil.c
- SINGLE : superlu_enum_consts.h
- slacon_() : slacon.c
- slamc1_() : slamch.c
- slamc2_() : slamch.c
- slamc3_() : slamch.c
- slamc4_() : slamch.c
- slamc5_() : slamch.c
- slamch_() : slamch.c , slu_cdefs.h , slu_sdefs.h
- slangs() : slangs.c
- slaqgs() : slaqgs.c , slu_sdefs.h
- sldperm() : sldperm.c , slu_sdefs.h
- slsolve() : scolumn_bmod.c , sgstrs.c , smyblas2.c , spanel_bmod.c , ssp_blas2.c
- SLU_C : supermatrix.h
- SLU_D : supermatrix.h
- SLU_DN : supermatrix.h
- SLU_GE : supermatrix.h
- SLU_HEL : supermatrix.h
- SLU_HEU : supermatrix.h
- SLU_NC : supermatrix.h
- SLU_NCP : supermatrix.h
- SLU_NR : supermatrix.h
- SLU_NR_loc : supermatrix.h
- slu_PrintInt10() : slu_util.h , util.c
- SLU_S : supermatrix.h
- SLU_SC : supermatrix.h
- SLU_SCP : supermatrix.h
- SLU_SR : supermatrix.h
- SLU_SYL : supermatrix.h
- SLU_SYU : supermatrix.h
- SLU_TRL : supermatrix.h
- SLU_TRLU : supermatrix.h
- SLU_TRU : supermatrix.h
- SLU_TRUU : supermatrix.h
- SLU_Z : supermatrix.h
- sLUMemInit() : slu_sdefs.h , smemory.c
- sLUMemXpand() : slu_sdefs.h , smemory.c
- sLUWorkFree() : slu_sdefs.h , smemory.c
- sLUWorkInit() : smemory.c
- smatvec() : scolumn_bmod.c , sgstrs.c , smyblas2.c , spanel_bmod.c , ssp_blas2.c
- smatvec_mult() : sitersol.c , sitersol1.c
- smemory_usage() : slu_sdefs.h , smemory.c
- SMILU_1 : superlu_enum_consts.h
- SMILU_2 : superlu_enum_consts.h
- SMILU_3 : superlu_enum_consts.h
- snode_profile() : slu_util.h
- snrm2_() : ilu_sdrop_row.c , sfgmr.c
- SOL_COMM : superlu_enum_consts.h
- SOLVE : superlu_enum_consts.h
- sp_cgemm() : csp_blas3.c , slu_cdefs.h
- sp_cgemv() : csp_blas2.c , slu_cdefs.h
- sp_coletree() : slu_util.h , sp_coletree.c
- sp_ctrsv() : csp_blas2.c , slu_cdefs.h
- sp_dgemm() : dsp_blas3.c , slu_ddefs.h
- sp_dgemv() : dsp_blas2.c , slu_ddefs.h
- sp_dtrsv() : dsp_blas2.c , slu_ddefs.h
- sp_ienv() : slu_util.h , sp_ienv.c
- sp_preorder() : slu_util.h , sp_preorder.c
- sp_sgemm() : slu_sdefs.h , ssp_blas3.c
- sp_sgemv() : ssp_blas2.c , slu_sdefs.h
- sp_strsv() : slu_sdefs.h , ssp_blas2.c
- sp_symetree() : sp_coletree.c
- sp_zgemm() : slu_zdefs.h , zsp_blas3.c
- sp_zgemv() : zsp_blas2.c , slu_zdefs.h
- sp_ztrsv() : slu_zdefs.h , zsp_blas2.c
- spanel_bmod() : slu_sdefs.h , spanel_bmod.c
- spanel_dfs() : slu_sdefs.h , spanel_dfs.c
- sParseFloatFormat() : sreadhb.c , sreadrb.c
- sParseIntFormat() : sreadrb.c , sreadhb.c
- SpaSize() : util.c
- spcoletree() : slu_util.h
- sPivotGrowth() : spivotgrowth.c , slu_sdefs.h
- spivotL() : spivotL.c , slu_sdefs.h
- sPrint_CompCol_Matrix() : slu_sdefs.h , sutil.c
- sPrint_Dense_Matrix() : slu_sdefs.h , sutil.c
- sprint_lu_col() : sutil.c , slu_sdefs.h
- sprint_soln() : sgstrs.c
- sPrint_SuperNode_Matrix() : sutil.c , slu_sdefs.h
- sPrintPerf() : sutil.c
- spruneL() : slu_sdefs.h , spruneL.c
- spsolve() : sitersol1.c , sitersol.c
- sqselect() : qselect.c , slu_sdefs.h , slu_cdefs.h
- sQuerySpace() : smemory.c , slu_sdefs.h
- sreadhb() : sreadhb.c , slu_sdefs.h
- sreadmt() : slu_sdefs.h
- sreadrb() : slu_sdefs.h , sreadrb.c
- sreadrhs() : sreadtriple.c
- sreadtriple() : slu_sdefs.h , sreadtriple.c
- sReadValues() : sreadrb.c , sreadhb.c
- sSetRWork() : slu_sdefs.h , smemory.c
- sSetupSpace() : smemory.c
- ssnode_bmod() : ssnode_bmod.c , slu_sdefs.h
- ssnode_dfs() : ssnode_dfs.c , slu_sdefs.h
- sStackCompress() : smemory.c
- sswap_() : ilu_sdrop_row.c
- stack_end_t : superlu_enum_consts.h
- StackFull : cmemory.c , smemory.c , zmemory.c , dmemory.c
- StatFree() : util.c , slu_util.h
- StatInit() : slu_util.h , util.c
- StatPrint() : util.c , slu_util.h
- Stype_t : supermatrix.h
- super_stats() : util.c , slu_util.h
- superlu_abort_and_exit() : util.c , slu_util.h
- superlu_free() : memory.c , slu_util.h
- SUPERLU_FREE : slu_util.h
- superlu_malloc() : memory.c
- SUPERLU_MALLOC : slu_util.h
- superlu_malloc() : slu_util.h
- SUPERLU_MAX : slu_util.h
- SUPERLU_MIN : slu_util.h
- SuperLU_timer_() : slu_util.h , superlu_timer.c
- suser_free() : smemory.c
- suser_malloc() : smemory.c
- susolve() : smyblas2.c , scolumn_bmod.c , sgstrs.c , ssp_blas2.c
- symamd() : colamd.h , colamd.c
- symamd_report() : colamd.h , colamd.c
- SYMBFAC : superlu_enum_consts.h
- SYSTEM : superlu_enum_consts.h